### Method

# Gimp Drawable extract_component

deprecated: 3.2 since: 2.10.34

#### Declaration [src]

    gboolean
    gimp_drawable_extract_component (
      GimpDrawable* drawable,
      gint component,
      gboolean invert,
      gboolean linear
    )

#### Description [src]

Extract a color model component.

Extract a color model component.

Available since: 2.10.34

Deprecated since: 3.2

Use filter “gegl:component-extract” instead.

#### Parameters

`component`

  Type: `gint`

  Component (RGB Red (0), RGB Green (1), RGB Blue (2), Hue (3), HSV Saturation (4), HSV Value (5), HSL Saturation (6), HSL Lightness (7), CMYK Cyan (8), CMYK Magenta (9), CMYK Yellow (10), CMYK Key (11), Y’CbCr Y’ (12), Y’CbCr Cb (13), Y’CbCr Cr (14), LAB L (15), LAB A (16), LAB B (17), LCH C(ab) (18), LCH H(ab) (19), Alpha (20)).

`invert`

  Type: `gboolean`

  Invert the extracted component.

`linear`

  Type: `gboolean`

  Use linear output instead of gamma corrected.

#### Return value

Type: `gboolean`

TRUE on success.